---
name: Christen Dybenko
locality: Boulder, CO
country: USA
role: <a href="/job-families/product/product-manager/">Senior Product Manager</a>,
  Plan:Product Planning
reports_to: melissaushakov
picture: christendybenko.jpg
twitter: x10
gitlab: cdybenko
departments:
- Product Management
- Dev PM Team
story: 'Christen lives and breathes design with a passion for product management.
  She has a background in user experience at Apple and several years as a full stack
  engineer. She''s Canadian, an early adopter, a biohacker and an interior design
  enthusiast.

  '
specialty:
- 'Plan: Product Planning'

